<template>
    <div class="pokemon-card">
        <img :src="pokemonData.sprites.front_default" :alt="pokemonData.name">
        <div class="pokemon-card__info">
            <ul>
                <li>
                    <strong>Name:</strong> {{ pokemonData.name }}
                </li>
                <li>
                    <strong>Number:</strong> {{ pokemonData.order }}
                </li>
                <li>
                    <strong>Types:</strong> {{ pokemonTypes }}
                </li>
            </ul>
        </div>
    </div>
    <router-link
        class="pokemon-card__back"
        to="/"
    >
        Back
    </router-link>
</template>

<script setup>
    import usePokemonInfo from '@/app/Pokemon/composables/usePokemonInfo';
    const { pokemonData, pokemonTypes } = usePokemonInfo();
</script>

<style src="./Pokemon.scss" lang="scss"></style>